<?php
session_start();
require_once('../../conexion.php');
require_once('../../include/sesiones.php');
// Declaramos la librería
require  ('vendor/autoload.php');

$desde=$_GET['desde'];
$hasta=$_GET['hasta'];

if(empty($_GET['1'])) { $uno='0'; } else { $uno=$_GET['1']; }
if(empty($_GET['2'])) { $dos='0'; } else { $dos=$_GET['2']; }
if(empty($_GET['3'])) { $tres='0'; } else { $tres=$_GET['3']; }
if(empty($_GET['4'])) { $cuatro='0'; } else { $cuatro=$_GET['4']; }
if(empty($_GET['5'])) { $cinco='0'; } else { $cinco=$_GET['5']; }
if(empty($_GET['6'])) { $seis='0'; } else { $seis=$_GET['6']; }
if(empty($_GET['7'])) { $siete='0'; } else { $siete=$_GET['7']; }
if(empty($_GET['8'])) { $ocho='0'; } else { $ocho=$_GET['8']; }
if(empty($_GET['9'])) { $nueve='0'; } else { $nueve=$_GET['9']; }
if(empty($_GET['10'])) { $diez='0'; } else { $diez=$_GET['10']; }

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spread = new Spreadsheet();

$sheet = $spread->getActiveSheet();
$sheet->getStyle('A:Z')->getAlignment()->setHorizontal('center');/* centar contenido de celdas */
$sheet->mergeCells('A1:C1')->mergeCells('A2:C2');/*combinas celdas*/

function cellColor($cells,$color)/* FUNSION PARA COLORES DE CELDA*/
{
    global $sheet;

    $sheet->getStyle($cells)->getFill()
    ->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)
    ->getStartColor()
    ->setARGB($color);
}

cellColor('A2:C2', 'BDBDBD'); 
cellColor('A1:C1', 'BDBDBD'); 
cellColor('A3:C3', 'FF4D00'); 


$sheet->setCellValue('A1', 'REPORTE VENTAS RESUMEN DETALLE ARTICULO VENDIDO POR EMPLEADO')
            ->setCellValue('A2', 'DESDE '.$desde.' HASTA '.$hasta)
            ->setCellValue('A3', 'REF')
            ->setCellValue('B3', 'NOMBRE')
            ->setCellValue('C3', 'CANT');

            //Ancho de las columnas
$sheet->getColumnDimension('A')->setWidth(15);   
$sheet->getColumnDimension('B')->setWidth(60);  
$sheet->getColumnDimension('C')->setWidth(10); 

    $cel=4;//Numero de fila donde empezara a crear  el reporte

$hasta1 = strtotime($hasta."+ 1 days");
date("Y-m-d",$hasta1) . "\n";
$hastaf=date("Y-m-d",$hasta1) . "\n";

$sql=mysqli_query($con, "SELECT *, sum(vend_cantidad_dev) as vend_cantidad_dev from venta_detalle d ,ventas v where d.ventas_ven_id=v.ven_id and v.ven_estado<>'anulada' and v.ven_fecha BETWEEN '$desde' AND '$hasta' and v.empresa='$empresa' and sucursal='$sucursal' and vendedor IN($uno, $dos, $tres, $cuatro, $cinco, $seis, $siete, $ocho, $nueve, $diez) group by vend_art_id  order by vend_art_id asc ");
while ($row=mysqli_fetch_array($sql))
{
    $vend_referencia=$row['vend_referencia'];
    $vend_nombre=($row['vend_nombre']);
    $vend_cantidad=$row['vend_cantidad_dev'];



    $a="A".$cel;
    $b="B".$cel;
    $c="C".$cel;
   
    // Agregar datos
    $sheet
    ->setCellValue($a, $vend_referencia)
    ->setCellValue($b, $vend_nombre)
    ->setCellValue($c, $vend_cantidad);
   

    $cel+=1;

           
} 


// Redirigir la salida al navegador web de un cliente ( Excel5 )
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="REPORTE VENTAS RESUMEN DETALLE ARTICULO VENDIDO POR EMPLEADO.xlsx"');
header('Cache-Control: max-age=0');
// Si usted está sirviendo a IE 9 , a continuación, puede ser necesaria la siguiente
header('Cache-Control: max-age=1');

$writer = new Xlsx($spread);
$writer->save('php://output');
exit;
/*
$fileName="Descarga_excel.xlsx";
# Crear un "escritor"
$writer = new Xlsx($spread);
# Le pasamos la ruta de guardado

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment; filename="'. urlencode($fileName).'"');
$writer->save('php://output');
?>*/
?>